import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt


path = "/rapids/data/processed/features/all_participants/all_sensor_features.csv"
df = pd.read_csv(path)

# Bluetooth
doryab_cols_bt = [col for col in df.columns if "bluetooth_doryab" in col]
df_bt = df[doryab_cols_bt]

print(len(doryab_cols_bt))
print(df_bt)

sns.heatmap(df_bt, xticklabels=1)
plt.savefig(f'bluetooth_doryab_values', bbox_inches='tight')

# Location
doryab_cols_loc = [col for col in df.columns if "locations_doryab" in col]
df_loc = df[doryab_cols_loc]

print(len(doryab_cols_loc))
print(df_loc)

sns.heatmap(df_loc, xticklabels=1)
plt.savefig(f'locations_doryab_values', bbox_inches='tight')

